Unit fde51r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fde51r(var FC :Real; var GC :Real; var RC :Real; X :Real;
                Y :Real; I :Integer; var RAB :Array of Real);

implementation

procedure fde51r(var FC :Real; var GC :Real; var RC :Real; X :Real;
                Y :Real; I :Integer; var RAB :Array of Real);
begin
FC := X*RAB[I-1];
GC := Exp(-Y);
RC := (X*RAB[I-1]-2.0+2.0*Exp(-Y))*Cos(X)-(1.0+2.0*X*RAB[I-1]-
    Exp(-Y))*Sin(X);
end;

end.
