Unit tde51r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE51R_p, DE51R_p;

function tde51r: String;

implementation

function tde51r: String;
var
NX,IMAX,IDER,I,N,IK,IERR :Integer;
XN,XK,EPS,H,X :Real;
CN :Array [0..2] of Real;
CK :Array [0..2] of Real;
YX :Array [0..149] of Real;
DELTY :Array [0..149] of Real;
RAB :Array [0..1649] of Real;
Y :Array [0..149] of Real;
YR :Array [0..199] of Real;
label
_1,_2;
begin
Result := '';  {   }
NX := 150;
XN := 0.0;
XK := 3.14159265359;
XK := XK/2.0;
CN[0] := 2.0;
CN[1] := -1.0;
CN[2] := 0.0;
CK[0] := 1.0;
CK[1] := 1.0;
CK[2] := -1.0;
IMAX := 4;
EPS := 0.00001;
IDER := 1;
for I:=1 to NX do
 begin
  YX[I-1] := 1.5;
_1:
 end;
DE51R(FDE51R,NX,XN,XK,CN,CK,EPS,IMAX,IDER,YX,IK,DELTY,RAB,IERR);
Result := Result + Format('%s',['     IK']);
Result := Result + Format('%8d ',[IK]) + #$0D#$0A;
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
N := NX-1;
H := (XK-XN)/N;
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  Y[I-1] := Sin(X)+2.0*Cos(X);
  YR[I-1] := YX[I-1]-Y[I-1];
  Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f ',
 [X,YX[I-1],Y[I-1],YR[I-1]]) + #$0D#$0A;
_2:
 end;
UtRes('tde51r',Result);  {     tde51r.res }
exit;
end;

end.
